### Signal

# SpiceClientGLib PlaybackChannel::playback-data

#### Declaration

    void
    playback_data (
      SpicePlaybackChannel* self,
      gpointer data,
      gint data_size,
      gpointer user_data
    )

#### Description [src]

Provide audio data to be played.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`data`

  Type: `gpointer`

  Pointer to audio data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_size`

  Type: `gint`

  Size in byte of `data`.